import { Program } from '@babel/types';
import { MagicString } from './magic-string.js';
import { SFCScriptBlock, SFCDescriptor, SFCParseResult } from '@vue/compiler-sfc';
import 'magic-string';

type _SFCScriptBlock = Omit<SFCScriptBlock, 'scriptAst' | 'scriptSetupAst'>;
type SFC = Omit<SFCDescriptor, 'script' | 'scriptSetup'> & {
    sfc: SFCParseResult;
    script?: _SFCScriptBlock | null;
    scriptSetup?: _SFCScriptBlock | null;
    lang: string | undefined;
    scriptAst: Program | undefined;
    setupAst: Program | undefined;
} & Pick<SFCParseResult, 'errors'>;
declare const parseSFC: (code: string, id: string) => SFC;
declare const addNormalScript: ({ script, lang }: SFC, s: MagicString) => {
    start(): number;
    end(): void;
};

export { SFC, _SFCScriptBlock, addNormalScript, parseSFC };
